%global srcname oslo-serialization

Name:           python-%{srcname}
Version:        2.13.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Serialization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.serialization
Source0:        https://pypi.io/packages/source/o/oslo.serialization/oslo.serialization-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
The oslo.serialization library contain utilities for working with
serialization features.

%package -n     python3-%{srcname}
Summary:        OpenStack OSLO Serialization
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
The oslo.serialization library contain utilities for working with
serialization features.

This is the Python 3 version of the package.

%prep
%setup -q -n oslo.serialization-%{version}

# Remove bundled egg-info
rm -rf oslo.serialization.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/oslo*

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*


%changelog
* Mon Jan 02 2017 bcornec <bcornec> 2.13.0-1.mga6
+ Revision: 1079656
- Update to upstream python-oslo-serialization 2.12.0

* Fri Aug 26 2016 bcornec <bcornec> 2.4.0-1.mga6
+ Revision: 1048966
- update to upstream python-oslo-serialization 2.4.0

* Fri Dec 18 2015 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 911561
- new version: 2.1.0

* Wed Oct 14 2015 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 891101
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 1.8.0-1.mga6
+ Revision: 871301
- 1.8.0

* Mon Feb 23 2015 bcornec <bcornec> 1.3.0-1.mga5
+ Revision: 816655
- Update to upstream 1.3.0
- Upload python oslo components for python keystone client support
- Created package structure for python-oslo-serialization.

